<template>
  <v-dialog
    v-model="getDialog.isShow"
    max-width="290"
    persistent
  >
    <v-card>
      <v-card-title>{{ getDialog.title }}</v-card-title>
      <v-card-text>
        <v-list dense>
          <v-list-item
            v-for="(item, i) in getDialog.message"
            :key="i"
          >
            <v-list-item-content class="py-0">
              <v-list-item-subtitle>{{ item }}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </v-card-text>
      <v-card-actions>
        <v-spacer />
        <v-btn
          color="green darken-1"
          text
          @click="hideDialog"
        >
          ปิด
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  computed: {
    getDialog () {
      return this.$store.getters.getDialog
    }
  },
  methods: {
    hideDialog () {
      this.$store.dispatch('setDialog', {
        isShow: false,
        title: '',
        message: ''
      })
    }
  }
}
</script>
